Subject: [alpine-aports] [PATCH] testing/simple-scan: new aport

From: Fabio Riga <[email-masked]>
Date: Fri, 27 Feb 2015 17:44:24 +0000

http://launchpad.net/simple-scan
Simple scanning utility
---
 testing/simple-scan/APKBUILD                 | 46 ++++++++++++++++++++++++++++
 testing/simple-scan/localedir.patch          | 28 +++++++++++++++++
 testing/simple-scan/simple-scan.post-install |  4 +++
 3 files changed, 78 insertions(+)
 create mode 100644 testing/simple-scan/APKBUILD
 create mode 100644 testing/simple-scan/localedir.patch
 create mode 100644 testing/simple-scan/simple-scan.post-install

diff --git a/testing/simple-scan/APKBUILD b/testing/simple-scan/APKBUILD
new file mode 100644
index 0000000..1fc3fe1
--- /dev/null
+++ b/testing/simple-scan/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Fabio Riga <[email-masked]>
+# Maintainer:
+pkgname=simple-scan
+pkgver=3.15.90
+pkgrel=0
+pkgdesc="Simple scanning utility"
+url="http://launchpad.net/simple-scan"
+arch="all"
+license="GPL3"
+depends="hicolor-icon-theme"
+depends_dev=""
+makedepends="gtk+3.0-dev sane-dev dconf-dev colord-dev yelp-tools vala intltool itstool"
+install="$pkgname.post-install"
+subpackages="$pkgname-lang $pkgname-doc"
+source="https://launchpad.net/$pkgname/${pkgver:0:4}/$pkgver/+download/$pkgname-$pkgver.tar.xz
+    localedir.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr \
+            --disable-schemas-compile
+        make
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir" install
+}
+
+md5sums="fee85ce4a0bd0567367480a01801d7e0  simple-scan-3.15.90.tar.xz
+462d6644c95ea713da4258ff8179d1cf  localedir.patch"
+sha256sums="bfd8913edefd57ccac4d433f2f36bfa3f592bee211551c37024ff288f2a06b1a  simple-scan-3.15.90.tar.xz
+dd33dd0c1ae69e110e39460521af7db52bb993312be856f926bf2d2483469757  localedir.patch"
+sha512sums="ae00aaed4ad5c79597f35af03b2e7311c3f3d02e05d79124232669d6e6729468c9c6e8529b25afc8d51faa36cec246b11eae79be58caedba766c60de2fcc375a  simple-scan-3.15.90.tar.xz
+10ad567d7a979d46e7a7fc87d1f01a88c9be74727c29682312084147dddd2bbd8f7fa35a43d090a26c840c3681cd4f3e7c26913538e5554025ed3a26517e65f9  localedir.patch"
diff --git a/testing/simple-scan/localedir.patch b/testing/simple-scan/localedir.patch
new file mode 100644
index 0000000..236c426
--- /dev/null
+++ b/testing/simple-scan/localedir.patch
@@ -0,0 +1,28 @@
+--- simple-scan-3.14.2/configure.orig
++++ simple-scan-3.14.2/configure
+@@ -5912,24 +5912,7 @@
+   return 0;
+ }
+ _ACEOF
+-if ac_fn_c_try_link "$LINENO"; then :
+-  DATADIRNAME=share
+-else
+-  case $host in
+-    *-*-solaris*)
+-                        ac_fn_c_check_func "$LINENO" "bind_textdomain_codeset" "ac_cv_func_bind_textdomain_codeset"
+-if test "x$ac_cv_func_bind_textdomain_codeset" = xyes; then :
+-  DATADIRNAME=share
+-else
+-  DATADIRNAME=lib
+-fi
+-
+-    ;;
+-    *)
+-    DATADIRNAME=lib
+-    ;;
+-    esac
+-fi
++DATADIRNAME=share
+ rm -f core conftest.err conftest.$ac_objext \
+     conftest$ac_exeext conftest.$ac_ext
+ fi
diff --git a/testing/simple-scan/simple-scan.post-install b/testing/simple-scan/simple-scan.post-install
new file mode 100644
index 0000000..2ba7078
--- /dev/null
+++ b/testing/simple-scan/simple-scan.post-install
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+gtk-update-icon-cache -f /usr/share/icons/hicolor/
-- 
2.2.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---